%define pkg_name        DateTime-Format-Baby
%define pkg_version     1.01
%define rpm_pkg_version 1.01
%define rpm_pkg_release 5.n0i.5

Summary:       Parse and format baby-style time
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RI/RICKM/%{pkg_name}-1.0100.tar.gz
# Source0:       http://www.cpan.org/authors/id/R/RI/RICKM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
Requires:      perl(DateTime) >= 0.06
%{!?_without_test:BuildRequires: perl(DateTime) >= 0.06}
%{!?_without_test:BuildRequires: perl(Carp)}
%{!?_without_test:BuildRequires: perl(Params::Validate)}


%description
This module understands baby talk in a variety of languages.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README Todo


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.01-5.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 1.01-4.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Wed Mar 30 2005 Marius FERARU <altblue@n0i.net> 0:1.01-3.n0i.3
- rebuild (FC4)

* Sun Dec 05 2004 Marius FERARU <altblue@n0i.net> 0:1.01-2.n0i.2
- rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.01-1.n0i.1
- version 1.01
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
